## knotifyconfig 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.116.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KNotifyConfig VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Includes
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

# Required Qt components to build this framework
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets DBus)

find_package(Qt${QT_MAJOR_VERSION}TextToSpeech ${REQUIRED_QT_VERSION} CONFIG)
if (NOT TARGET Qt${QT_MAJOR_VERSION}::TextToSpeech)
  message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
else()
  add_definitions(-DHAVE_SPEECH)
endif()

find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE OPTIONAL)
if (NOT Canberra_FOUND)
    # This is REQUIRED since you cannot tell CMake "either one of those two optional ones are required"
    find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE REQUIRED)
    set_package_properties(Phonon4Qt${QT_MAJOR_VERSION} PROPERTIES
        DESCRIPTION "Qt-based audio library"
        PURPOSE "Needed to preview notification sounds when Canberra isn't available")
endif()

# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KNOTIFYCONFIG
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knotifyconfig_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfigVersion.cmake"
  SOVERSION 5)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"knotifyconfig5\")
ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NotifyConfig")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5NotifyConfig_QCH
        FILE KF5NotifyConfigQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NotifyConfigQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NotifyConfigConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotifyConfigConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5NotifyConfigTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5NotifyConfigTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/knotifyconfig_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KNotifyConfig"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/CMakeLists.txt ===
project(knotifytest)

########### knotifytest ###############

include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} REQUIRED)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES PURPOSE "Required for tests")

find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
set_package_properties(KF5ConfigWidgets PROPERTIES PURPOSE "Required for tests")

find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)
set_package_properties(KF5Notifications PROPERTIES PURPOSE "Required for tests")

find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
set_package_properties(KF5WidgetsAddons PROPERTIES PURPOSE "Required for tests")

find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
set_package_properties(KF5XmlGui PROPERTIES PURPOSE "Required for tests")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(knotifytest main.cpp knotifytestwindow.cpp)

ki18n_wrap_ui(knotifytest knotifytestview.ui)

ecm_mark_as_test(knotifytest)

target_link_libraries(knotifytest
   Qt${QT_MAJOR_VERSION}::Core
   Qt${QT_MAJOR_VERSION}::Test
   KF5::NotifyConfig
   KF5::Notifications
   KF5::I18n
   KF5::XmlGui
   KF5::Completion
   KF5::ConfigWidgets # KStandardAction
   KF5::WidgetsAddons # KMessageBox
)

=== debian/changelog ===
knotifyconfig (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:47:37 +0100

knotifyconfig (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:44:01 +0100

knotifyconfig (5.115.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:34:41 +0000

knotifyconfig (5.115.0-0ubuntu5) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:22:55 +0100

knotifyconfig (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:10:36 +0000

knotifyconfig (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 08:02:59 -0700

knotifyconfig (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:26:01 -0700

knotifyconfig (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:58:40 -0700

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libcanberra-dev,
               libkf5completion-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5configwidgets-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5notifications-dev (>= 5.116.0~),
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libkf5xmlgui-dev (>= 5.116.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knotifyconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifyconfig
Rules-Requires-Root: no

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.116.0~),
         libkf5kio-dev (>= 5.116.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5notifyconfig-doc (= ${source:Version})
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Multi-Arch: same

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

## knotifyconfig 5.116.0+p24.04+vstable+git20250901.0543

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vstable+git20250901.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 05:43:25 +0000

knotifyconfig (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:42:31 +1000

knotifyconfig (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:37:26 +0000

knotifyconfig (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:26:03 +0000

knotifyconfig (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:05:51 +0000

knotifyconfig (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:47:36 +0000

knotifyconfig (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:01:08 +0000

knotifyconfig (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:28:59 +0000

knotifyconfig (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:32:48 +0000

knotifyconfig (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:12:42 +0000

knotifyconfig (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:43:33 +0000

knotifyconfig (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:02:20 +0000

knotifyconfig (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:56:31 +0000

knotifyconfig (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:30:07 +0000

knotifyconfig (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:37:05 +0000

knotifyconfig (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:58:07 +0000

knotifyconfig (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:01:07 +0000

knotifyconfig (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:09:02 +0000

knotifyconfig (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:24:59 +0000

knotifyconfig (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:32:09 +0000

knotifyconfig (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:05:02 +0000

knotifyconfig (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:34:02 +0000

knotifyconfig (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:59:24 +0000

knotifyconfig (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:40:00 +0000

knotifyconfig (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:21:03 +0000

knotifyconfig (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:28:31 +0000

knotifyconfig (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:52:48 +0000

knotifyconfig (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 16:42:10 +0000

knotifyconfig (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:10:28 +0000

knotifyconfig (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:24 +0000

knotifyconfig (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:27:18 +0000

knotifyconfig (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:49 +0000

knotifyconfig (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:54 +0000

knotifyconfig (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:17:01 +0000

knotifyconfig (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:48 +0000

knotifyconfig (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:25:53 +0000

knotifyconfig (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:06:20 +0000

knotifyconfig (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:03 +0000

knotifyconfig (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:16 +0000

knotifyconfig (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:31:55 +0000

knotifyconfig (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:24:28 +0000

knotifyconfig (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:38:13 +0000

knotifyconfig (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:54:55 +0000

knotifyconfig (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:42:03 +0000

knotifyconfig (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:21 +0000


## knotifyconfig 5.116.0+p24.04+vstable+git20251015.1135

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KNotifyConfig VERSION ${KF_VERSION})

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vstable+git20251015.1135-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:35:25 +0000

## knotifyconfig 5.116.0+p24.04+vstable+git20251020.0313

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vstable+git20251020.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:13:59 +0000

=== debian/control ===
Source: knotifyconfig
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libcanberra-dev,
               libkf5completion-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.51.0~),
               libkf5notifications-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.9.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/knotifyconfig
Vcs-Git: https://invent.kde.org/neon/kde/knotifyconfig.git
Vcs-Browser: https://invent.kde.org/neon/kde/knotifyconfig
Maintainer: Neon CI <neon@kde.org>

Package: libkf5notifyconfig-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the data files.

Package: libkf5notifyconfig-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.51.0~),
         libkf5kio-dev (>= 5.51.0~),
         libkf5notifyconfig5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Breaks: libkf5kdelibs4support-dev (<< 5.51)
Replaces: libkf5notifyconfig-doc (<< 5.61.90-0)
Recommends: libkf5notifyconfig-doc (= ${source:Version})
Description: development files for knotifyconfig
 This framework offers classes to represent the configuration for an
 event.
 .
 Contains development files for knotifyconfig.

Package: libkf5notifyconfig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configuration system for KNotify (documentation)
 This framework offers classes to represent the configuration for an
 event.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifyconfig5
Architecture: any
Multi-Arch: same
Depends: libkf5notifyconfig-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Configuration system for KNotify.
 This framework offers classes to represent the configuration for an
 event.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/knotifyconfig-([\d.]+)\.tar\.xz

## knotifyconfig 5.116.0+p24.04+vstable+git20251220.0248

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vstable+git20251220.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:49:06 +0000

## knotifyconfig 5.116.0+p24.04+vstable+git20251226.0236

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vstable+git20251226.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:36:32 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20250901.0215

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20250901.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 02:15:40 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20251015.1522

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20251015.1522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:22:56 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20251020.0639

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20251020.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:39:30 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20251111.0338

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20251111.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:38:56 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20251124.0940

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20251124.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:40:55 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20251220.0256

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20251220.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:56:30 +0000

## knotifyconfig 5.116.0+p24.04+vunstable+git20251224.0920

=== debian/changelog ===
knotifyconfig (5.116.0+p24.04+vunstable+git20251224.0920-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:20:50 +0000
